Canon MP500 driver issue only showing gimp-print

Discussion in 'Mac Accessories' started by phillipjfry, Mar 12, 2007.

  1. phillipjfry macrumors 6502a

    phillipjfry

    Joined:
    Dec 12, 2006
    Location:
    Peace in Plainfield
    #1
    Is anyone out there using the Canon MP500 printer?
    I'm having a lot of issues getting the right driver for this printer to work. I downloaded the mp500 driver from canon.com and installed it, but it doesn't show up in the list of drivers to use. I have it setup over the network, connected through a PC. I can see it just fine, connect to it, but I can't seem to find the right driver on my system for it. I don't know which gimp print driver I can use (if any?). When I click Other... for drivers to select (since it isn't shown in the Canon selection), I found the MP500.db file in Library/Printers/Canon/Resources/4.1.9/ folder and when I select it, it reverts back to the "Generic" selection. :mad:

    Basically, what filetype am I looking for? I selected Other... option and tried to find my driver in the folder that I downloaded from Canon, and tried selecting ANYTHING! and it wouldn't give me the option to select anything and try to use it as a driver. Yes I have repaired permissions.

    EDIT: After looking around in localhost:631, the only printers OSX wants to show for configuration are gimp print drivers. How do I add my drivers to the list of other drivers in the list?
     
  2. phillipjfry thread starter macrumors 6502a

    phillipjfry

    Joined:
    Dec 12, 2006
    Location:
    Peace in Plainfield
    #2
    To update, if I can somehow figure out how to compile pstocanonij for Mac (i had so many compilation issues) then it should be possible to use the printer when its connected through a Windows XP computer
     
  3. MisterMe macrumors G4

    MisterMe

    Joined:
    Jul 17, 2002
    Location:
    USA
    #3
    OK. If you have ever read the posts on this forum, then you should know that you cannot use the manufacturer-supplied USB drivers with a networked printer--with minor exceptions. You have to use CUPS drivers such as those supplied with Gutenprint/GIMP-print. Gutenprint has a manual. Read it and follow its instructions.
     
  4. phillipjfry thread starter macrumors 6502a

    phillipjfry

    Joined:
    Dec 12, 2006
    Location:
    Peace in Plainfield
    #4
    This is true, which is why I tried to compile cnijcommon and cnijfilter packages on my Mac. I saw that some linux users were using those packages to get their canon mp500 printers to run through gimp-print/cups. I have a mp500.ppd but the needed filter, pstocanonij, is needed for the ppd. The only binary I could get ahold of was compile for linux, thus would not work (eg. "Exec format error"). After fixing some header issues, I still kept getting compilation issues and had hoped that maybe someone else had went down the same road I had and came out with an answer. :)
    I guess I will just pray for a ppd inclusion when Leopard comes out. :D

    EDIT: Unless I truely and honestly looked over something, gimp-print does not support my Canon PIXMA MP500; according to its website listing all the supported printers and their drivers. Unless someone else has discovered an alternative driver that will allow some basic (color) printing...
    TIA
     
  5. MisterMe macrumors G4

    MisterMe

    Joined:
    Jul 17, 2002
    Location:
    USA
    #5
    Then try LinuxPrinting.org.
     
  6. tilman macrumors regular

    Joined:
    Feb 28, 2006
    #6
    If you don't mind spending a few dollars, consider Printfab (http://www.printfab.net). There is a free trial, and a license is $61. I used it with my MP780 hooked up to a Windows PC, and it worked very well.
     
  7. phillipjfry thread starter macrumors 6502a

    phillipjfry

    Joined:
    Dec 12, 2006
    Location:
    Peace in Plainfield
    #7
    Thanks, finally got it working with printfab.
     
  8. rs6er macrumors newbie

    Joined:
    Jan 25, 2008
    #8
    How did you know which driver to use with the MP780? I chose the 4100 and it worked also.
     

Share This Page